{% extends 'base.html' %}
{% block title %}
    Scrumptious recipes
{% endblock title %}

{% block content %}
    <header>
        <nav>
            <a class="is-red" href="{% url 'recipes_list' %}">Main page</a> OR:
            {% if user.is_authenticated %}
            <a class ="is-red" href="{% url 'create_recipe' %}">Create a recipe</a>
            <a class ="is-red" href="{% url 'my_recipe_list' %}">My recipes</a>
            {% endif %}
            {% if user.is_authenticated %}
                Hello, {{ user.username }}
                <a class="is-red" href="{% url 'user_logout' %}">Logout</a>
            {% else %}
                <a class="is-red" href="{% url 'signup' %}">Sign up</a>
                <a class="is-red" href="{% url 'user_login' %}">Login</a>
            {% endif %}
        </nav>
    </header>
    <main>
        <h1 class="is-orange">Scrumptious Recipes</h1>
        <h2>All the food that's fit to eat</h2>
        <div class="list-grid sized_image">
            {% for recipe in recipes_key %}
            <div class="box small-pad">
                <h3>
                    <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
                </h3>
                <a href="{% url 'show_recipe' recipe.id%}">
                    <img src="{{ recipe.picture }}"width="200">
                </a>
                <p>Created on {{ recipe.created_on|date:"F j, Y" }}</p>
                <div>5 stars baby</div>
            </div>
            {% endfor %}
        </div>
    </main>
{% endblock content %}
